export interface InjectTraceIdVueOptions {
    filepath: string;
    opener: {
        type: 'vscode';
    } | {
        type: 'github';
        url: string;
        branch?: string;
        cwd?: string;
    } | {
        type: 'jetbrains';
        port?: number;
    };
}
/**
 * inject Trace Id in jsx code
 */
export declare function injectTraceIdVue(vue: string, options: InjectTraceIdVueOptions): {
    code: string;
};
